Bug 1574891 - [Ansible Embedded] - Azure playbook fails because of wrong/missing Client Secret/Client ID
Summary: [Ansible Embedded] - Azure playbook fails because of wrong/missing Client Sec...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Daniel Berger
QA Contact: Dave Johnson
URL:
Whiteboard: ansible_embed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 09:47 UTC by Pavol Kotvan
Modified: 2018-05-31 13:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-31 13:45:59 UTC
Category: Bug
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Daniel Berger 2018-05-07 14:04:28 UTC
The client ID (application ID) and key are credentials from a registered application (service principal) within the Azure AD.

You can find more information for setting up credentials here:

https://github.com/ManageIQ/azure-armrest/wiki/Adding-a-Service-Principal

You can test your credentials using the azure command line tool:

az login --service-principal -u <client_id> -t <your_tenant> -p <client_key>


Note You need to log in before you can comment on or make changes to this bug.